Bug Hunting Session
Bug 116078 - OpenPGP, X.509 and digital signatures documentation
Summary: OpenPGP, X.509 and digital signatures documentation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2018-02-28 09:04 UTC by Timur
Modified: 2019-06-05 09:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-02-28 09:04:39 UTC
OpenPGP is a new feature and it should be documented. Also X.509.
And digital signatures should be documented and updated, because it's general now, without details which perplex users and make new bugs.
https://help.libreoffice.org/6.1/en-US/text/shared/guide/digital_signatures.html
https://help.libreoffice.org/6.1/en-US/text/shared/guide/digitalsign_send.html

Also, Related Topics: English Wiki page on digital signatures points to https://wiki.documentfoundation.org/How_to_use_digital_Signatures which only has the link to https://wiki.openoffice.org/wiki/How_to_use_digital_Signatures.
Comment 1 Timur 2018-02-28 10:43:36 UTC
It should also be explained how LO finds certificate manager on different platforms and what a user can do if s/he gets a message "Could not find any certificate manager".
Comment 2 Commit Notification 2018-12-06 14:43:32 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/fe0a1e4dbf6de65be1820553fba7b7e215013f85%5E%21

tdf#116078 OpenPGP encryption
Comment 3 Xisco Faulí 2019-01-14 09:53:50 UTC
A polite ping to Olivier Hallot:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks